ONVIF::Media::Types::FocusMove(3)

NAME
ONVIF::Media::Types::FocusMove

DESCRIPTION
Perl data type class for the XML Schema defined complexType FocusMove from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Absolute

•   Relative

•   Continuous

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::FocusMove
   Absolute =>  { # ONVIF::Media::Types::AbsoluteFocus
     Position =>  $some_value, # float
     Speed =>  $some_value, # float
   },
   Relative =>  { # ONVIF::Media::Types::RelativeFocus
     Distance =>  $some_value, # float
     Speed =>  $some_value, # float
   },
   Continuous =>  { # ONVIF::Media::Types::ContinuousFocus
     Speed =>  $some_value, # float
   },
 },

AUTHOR
Generated by SOAP::WSDL